<div class="speak_container" style='display:none;' #speak_container id='speak_container'>
    <div class="speak_now">
  
      <div class="modal-title-speak-now">
        <p id='speechdiv' class="font-weight-light">Listening</p>
  
        <!-- <button type="button" class="btn btn-round btn-outline-danger icon-btn" (click)="stopSpeechRecognition()" *ngIf="speakerOpen"></button> -->
      <button type="button" class="btn" style="background:none; padding: 0;" (click)="stopSpeechRecognition()">
          <!-- <i class="fas fa-microphone"></i> -->
          <img src="assets/img/uikit/speaker.png" style="width:50px;" class="speak-mob">
      </button>
      </div>
  
  
  
    </div>
  
  </div>
  
  <!-- Desktop -->
  <!-- <div class="col-sm-12 custom">
    <div class="search-results style-3 search-ui" (click)="setFocustoInput()" #outer>
      <div style="float:left; overflow-x: auto; overflow-y: hidden; white-space: nowrap;" (click)="makeEditKey()" #keycontainer>
        <span class="badge danger" *ngFor="let keys of keywordBucket" [class]="keys.type">{{keys.key}}</span>
      </div>
  
      <input type="text" id='searchInput' class="hiddenTextbox" [(ngModel)]="keyword" (keydown.enter)="onPressEnter($event)"
        (focusout)="hideSearchDropdown()" #searchTextBox="ngbTypeahead" [ngbTypeahead]="search" (focus)="focus$.next(keyword)"
        (click)="click$.next($event.target.value)" (selectItem)="selectedItem($event);" [focusFirst]="false"
        (keyup.space)="onPressSpace()" (keydown.backspace)="popKeywords()" [style.width.px]="inputWidth" (keyup)="onKeyUp()"
        (keyup.escape)="onEscPress()">
  
      <div style="background: white; color: black;position: absolute;width: 94%;padding: 15px;border-radius: 0 0 20px 20px;top: 50px;"
        *ngIf="showDYMList">
        <p class="text-left">No Results Found For - {{this.keyword_dym}}</p>
        <hr />
        <h6 class="text-left"> Did You Mean?</h6>
        <div class="row">
          <div class="col-md-12 items title" *ngFor="let dym of didYouMeanList;" (click)="onDYMSelect(dym)">
            <i class="fas fa-search"></i><span class="ml-3" style="text-transform: capitalize; cursor:pointer;">{{dym}} ?</span>
          </div>
        </div>
      </div>
  
      <button type="button" class="btn btn-primary btn-sm btn-plain" (click)="startSpeechRecognition()">
        <img class="micro-phone" src="./assets/img/uikit/mic.png"></button>
  
      <button type="button" class="btn icon-btn btn-xs btn-close" *ngIf="keyword!=''|| keywordBucket.length>0" (click)="doClear()"><i
          class="ion ion-ios-close"></i></button>
    </div>
  </div> -->
  <!-- Desktop -->
  
  
  <!-- Mobile Responsive -->
  <!-- <div class="col-sm-12 custom p-0">
  
  
    <div class="search-results style-3 search-ui-mob" #outer>
      <div style="float:left; max-width:70vw; overflow-x: auto; overflow-y: hidden; white-space: nowrap;"
        (click)="makeEditKey()" #keycontainer>
        <span class="badge danger" *ngFor="let keys of keywordBucket" [class]="keys.type">{{keys.key}}</span>
      </div>
  
      <input type="text" id='searchInput' class="hiddenTextbox-mob" [(ngModel)]="keyword" (keydown.enter)="onPressEnter($event)"
        (focusout)="hideSearchDropdown()" #searchTextBox="ngbTypeahead" [ngbTypeahead]="search" (focus)="focus$.next(keyword)"
         (selectItem)="selectedItem($event);" [focusFirst]="false" (click)="makeEditKey()"
        (keydown.backspace)="popKeywords()" (keyup)="onKeyUp()">
      <div style="background: white; color: black;position: absolute;width: 94%;padding: 10px;border-radius: 0 0 20px 20px;top: 50px;"
        *ngIf="showDYMList">
        <p class="text-left">No Results Found For - {{this.keyword_dym}}</p>
        <hr />
        <h6 class="text-left"> Did You Mean?</h6>
        <div class="row">
          <div class="col-md-12 items title" *ngFor="let dym of didYouMeanList;" (click)="onDYMSelect(dym)">
            <i class="fas fa-search"></i><span class="ml-3" style="text-transform: capitalize;">{{dym}} ?</span>
          </div>
        </div>
      </div> -->
  
      <!-- <button type="button" class="btn icon-btn btn-xs btn-search" *ngIf="keyword!=''|| keywordBucket.length>0" (click)="goSearcBtn(false)"><i class="fas fa-search"></i></button>-->
      <!-- <button type="button" class="btn icon-btn btn-xs btn-close" *ngIf="keyword!=''|| keywordBucket.length>0" (click)="doClear()"><i
          class="ion ion-ios-close"></i></button>
    </div>
  
    <div style="text-align:center; padding-top: 4em;">
      <p style="color:#fff; font-size:20px;" #messagetext id='messagetext'>Hi, How can I help?</p>
  
        <button type="button" class="btn-plain-mob" (click)="startSpeechRecognition()">
            <img src="assets/img/uikit/speaker.png">
          </button>

          <div id='siricontainer' align="center" class="app-search-siri-container">
            <div #siriwaveview></div>
          </div>
  
    </div>
   
  
  
  
  </div> -->
  <!-- Mobile Responsive -->




  <!-- Mobile Responsive New UI -->
  <div class="row" style="height: 15vh; text-align: center; align-items: center; display: flex;">
  <div class="col-sm-12 custom pt-5">
    <div id="divSearchParent" (click)="onSuppressSuggestion()">
      <!-- <div> -->
      <div class="inputpanel">
        <i class="fa fa-search fa-lg lightgray"></i>
        <div class="inputtag" *ngIf="recognizedBucket">
          <ng-container *ngFor="let bucket of recognizedBucket; let ind = index">
            <ng-container *ngIf="!bucket.hidden && !bucket.editable">
              <span bucket="true" [className]="bucket.class" (click)="makeEditbale(ind)">
                {{bucket.value}}
                <i *ngIf="bucket.type !== 'E'" (click)="removeBucket(ind)" class="fa fa-times-circle"></i>
              </span>
            </ng-container>
          </ng-container>
    
        </div>
        <!--(blur)="onBlur()" (keydown.enter)="onPressEnter()" (keydown)="onKeyDownHandler($event)" (click)="prevenDefault = true" (keyup.backspace)="onBackSpaceSearchHandler($event)" (keydown.space)="onSpaceSearchHandler($event)" [placeholder]="(recognizedBucket && recognizedBucket.length > 1)?'':'Ask for any data here'"  (focus)="onFocusSearchHandler()" -->
        <input autocomplete="off" id="txtSearch" type="text" 
          placeholder="Ask for any data here" (keyup)="onKeyUpSearchHandler($event)"
          [(ngModel)]="searchInput" />
          <!-- <div (click)="resetSearch()" *ngIf="(searchInput && searchInput.length > 1)||(recognizedBucket && recognizedBucket.length > 1)" class="mr-3"><i class="fa fa-times fa-lg cursor black"></i></div> -->
          <!-- <div *ngIf="!detectSafari()">
            <span  (click)="startSpeechRecognition()" style="cursor: pointer;">
              <i class="fa-lg ion ion-ios-mic micro-phone f-25"></i>
            </span>
          </div> -->
      </div>
      <div [style.left.px]="searchBoxLeftPosition" class="searchResultPanel" *ngIf="(masterDataFilter.length > 0 || activeSuggestionList.length > 0 || timeFilter.length > 0) && searchInput.length > 0">
        <div [className]="clsSuggession">
          <div *ngIf="masterDataFilter.length > 0">
            <ng-container>
              <ng-container *ngFor="let item of masterDataFilter">
                <h5 class="clsGroup black">{{item.group}}</h5>
                <ul>
                  <li *ngFor="let item1 of activeGroupMasterData[item.group]"
                    (click)="selectSuggession(item1,'MasterData')">
                    <i class="fa fa-signal"></i>
                    <span [innerHTML]="item1"></span>
                  </li>
                  <!-- <li *ngIf="activeGroupMasterData[item.group].length < masterDataGroupVise[item.group].length"
                    (click)="onNextGroupPage(item.group)">
                    <div>
                      <label class="tagline">more <i class="fa fa-sort-desc"></i></label>
                    </div>
                  </li> -->
                </ul>
              </ng-container>
    
            </ng-container>
          </div>
    
    
          <ul  *ngIf="timeFilter && timeFilter.length > 0">
            <ng-container>
              <ng-container *ngFor="let item of timeFilter">
                <li (click)="selectSuggession(item,'TimeFilter')"><i class="fa fa-calendar-alt"></i>
                  <span [innerHTML]="item"></span>
                </li>
              </ng-container>
            </ng-container>
          </ul>
          <ul *ngIf="activeSuggestionList && activeSuggestionList.length > 0">
            <ng-container *ngFor="let item of activeSuggestionList">
              <li (click)="selectSuggession(item,'DimOrMeasure')"><i class="fa fa-cog"></i>
                <span [innerHTML]="item"></span>
              </li>
            </ng-container>
            <!-- <li *ngIf="activeSuggestionList.length > 0" (click)="onNextPage()">
              <div>
                <label class="tagline">more <i class="fa fa-sort-desc"></i></label>
              </div>
            </li> -->
          </ul>
         
        </div>
      </div>
    </div>
    <div id="divRunTimeStuff"></div>
  </div>
</div>

<div *ngIf="ismic" class="row" style="height: 70vh; text-align: center; align-items: center; display: flex;">
  <div class="col-sm-12 custom p-0 text-center">
    
      <button type="button" class="btn-plain-mob" (click)="startSpeechRecognition()">
          <img src="assets/img/uikit/speaker.png">
        </button>

        <div id='siricontainer' align="center" class="app-search-siri-container">
          <div #siriwaveview></div>
      </div>
      
        <p style="color:#fff; font-size:20px; margin-top: 20px;" #messagetext id='messagetext'>Hi, How can I help?</p>
</div>



</div>
<!-- Mobile Responsive New UI -->



  
  